function poten = calc_all_poten(cl,time,opt)

n = cl.n_outl;
poten = zeros(1,n);

for outl1 = 1:n
    point1 = cl.outliers(outl1,:);
    time1 = cl.outliers_time(outl1);
    for outl2 = (outl1+1):n
        point2 = cl.outliers(outl2,:);
        time2 = cl.outliers_time(outl2);
        % Distance component
        stat = exp( - my_norm(point1, point2, time1, time2, time, opt.w));
        % Time delay dependance
        stat = stat / 2 / opt.r^2;
        
        poten(outl1) = poten(outl1) + stat;
        poten(outl2) = poten(outl2) + stat;            
    end
end
