function poten = calc_poten(clu,centers,centers_time,curr_time,opt_evo)

n = clu.n_outl;
poten = zeros(n,n);

for outl1 = 1:n
    point1 = centers(outl1,:);
    time1 = centers_time(outl1);
    for outl2 = 1:n
        point2 = normalize(clu,clu.outliers(outl2,:));
        time2 = clu.outliers_time(outl2);
        % Distance component
        stat = exp( - my_norm(point1, point2, time1, time2, curr_time, opt_evo.w));
        stat = stat / 2 / opt_evo.r^2;
        poten(outl1,outl2) = stat;
    end
end
