function [fn fp dd] = hmm_detection(model,aggr,init_fau,opt_hmm,varargin)

if nargin > 4
    apost_threshold = varargin{1};
else
    apost_threshold = [];
end
n_models = length(model);

dd = zeros(n_models,1);
fp = zeros(n_models,1);
fn = zeros(n_models,1);

for i = 1:n_models
    [fn(i) fp(i) dd(i)] = hmm_single_detection(model(i),aggr,init_fau,opt_hmm,apost_threshold);
end
