function model = aggr_lls(model,aggr_method)

loglike = model.loglikelihoods;
switch aggr_method
    case 'mean'
        model.loglikelihoods = mean(loglike,1);
    case 'max'
        model.loglikelihoods = max(loglike,[],1);
    case 'min'
        model.loglikelihoods = min(loglike,[],1);
    case 'med'
        model.loglikelihoods = median(loglike,1);
    case 'best'
        model.loglikelihoods = loglike(end,:);
end
