function [rel rel_indexes] = topol_matrix_to_vector(topology)

n_nodes = size(topology,1);
dispos = dispositions(n_nodes);
n_max_rel = size(dispos,1);

rel_indexes = zeros(n_max_rel,1);
for ii = 1:n_max_rel
    if topology(dispos(ii,1),dispos(ii,2)) == 1
        rel_indexes(ii) = 1;
    end
end
rel_indexes = logical(rel_indexes);
rel = dispos(rel_indexes,:);
