function clu = update_glob_stat(clu,new_data)

n = clu.n_points;
% Update mean, variance and point number
old_mean = clu.mean;
clu.mean = (n * clu.mean + new_data ) / (n + 1);

if isempty(clu.variance)
    clu.variance = zeros(length(new_data));
else
    clu.variance = n / (n + 1) * (clu.variance + old_mean' * old_mean) + ...
        new_data' * new_data / (n + 1) - clu.mean' * clu.mean;
end

clu.n_points = n + 1;
