function res = pick_color(str,varargin)
% Input
%   str:        'n' for nominal
%               'f' for faulty
%               'o' for outlier
%   varargin:   for extenability of the function in case we want to have
%               differenlty coloured faulty clusters
% Output
%   res:        vector containing the color of the corresponding class

if strcmp(str,'n')
    res = [0 0.6 0]; %green
elseif strcmp(str,'o')
    res = [0 0 0]; % black
elseif strcmp(str,'f')
    res = [1 0 0]; % red
end
