function data_label = label_data(opt_fau)

assert(opt_fau.fau_times(1) == 1);
n_sample = opt_fau.fau_times(end)-1;

fau_seq = {};
for i = 1:opt_fau.n_faults
    if opt_fau.final_intensity_rate(i)  ~= 0 && isempty(fau_seq)
        fau_seq{1,1} = opt_fau.fault_type{i};
        fau_seq{2,1} = opt_fau.final_intensity_rate(i);
        fau_seq{3,1} = i;
        fau_seq{4,1} = 1;
        max_fau = 1;
    elseif opt_fau.final_intensity_rate(i)  ~= 0
        comp = 0;
        for j = 1:size(fau_seq,2)
            if strcmp(fau_seq{1,end},opt_fau.fault_type{i}) && fau_seq{2,j} == opt_fau.final_intensity_rate(i)
            fau_seq{1,end+1} = opt_fau.fault_type{i};
            fau_seq{2,end} = opt_fau.final_intensity_rate(i);
            fau_seq{3,1} = i;
            fau_seq{4,end} = fau_seq{4,j};                
                comp = 1;
            end
        end
        if comp == 0
            fau_seq{1,end+1} = opt_fau.fault_type{i};
            fau_seq{2,end} = opt_fau.final_intensity_rate(i);
            fau_seq{3,end} = i;
            fau_seq{4,end} = max_fau+1;
            max_fau = max_fau+1;
        end
    end
end



data_label = ones(1,n_sample);
for i = 1:size(fau_seq,2)
    s = fau_seq{3,i}+1;
    idx_init = opt_fau.fau_times(s);
    idx_end = opt_fau.fau_times(s+1)-1;
    data_label(idx_init:idx_end) = fau_seq{4,i} + 1;
end
